| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::kalman_filters::UkfSystemModel Class Referenceabstract

Model of dynamical system for Unscented Kalman filter. The interface for dynamical system model. It contains functions for computing the next state and the measurement. It must be inherited for using UKF. More...

`#include <opencv2/tracking/kalman_filters.hpp>`

Collaboration diagram for cv::detail::tracking::kalman_filters::UkfSystemModel:

## Public Member Functions
virtual | ~UkfSystemModel ()
virtual void | measurementFunction (const Mat &x_k, const Mat &n_k, Mat &z_k)=0
virtual void | stateConversionFunction (const Mat &x_k, const Mat &u_k, const Mat &v_k, Mat &x_kplus1)=0

## Detailed Description

Model of dynamical system for Unscented Kalman filter. The interface for dynamical system model. It contains functions for computing the next state and the measurement. It must be inherited for using UKF.

## Constructor & Destructor Documentation

## ◆ ~UkfSystemModel()

virtual cv::detail::tracking::kalman_filters::UkfSystemModel::~UkfSystemModel | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ measurementFunction()

virtual void cv::detail::tracking::kalman_filters::UkfSystemModel::measurementFunction | ( | const Mat & | x_k,
|  | const Mat & | n_k,
|  | Mat & | z_k )
| pure virtual

The function for computing the measurement from the state

Parameters

  x_k | - state vector,
  n_k | - noise vector,
  z_k | - measurement vector.

## ◆ stateConversionFunction()

virtual void cv::detail::tracking::kalman_filters::UkfSystemModel::stateConversionFunction | ( | const Mat & | x_k,
|  | const Mat & | u_k,
|  | const Mat & | v_k,
|  | Mat & | x_kplus1 )
| pure virtual

The function for computing the next state from the previous state

Parameters

  x_k | - previous state vector,
  u_k | - control vector,
  v_k | - noise vector,
  x_kplus1 | - next state vector.

The documentation for this class was generated from the following file:

- opencv2/tracking/kalman_filters.hpp